function M = load_training_shape(prefix, params)

% change with your own loader if you work with other formats.
M = load_off(strcat(prefix,'.off'));

M.n = size(M.VERT,1);
M.m = size(M.TRIV,1);

M.gt = (1:M.n)'; % TOSCA, KIDS, and FAUST shapes have compatible numberings
                 % (replace with ground-truth labels if you don't use
                 % TOSCA, KIDS, or FAUST)

gt_fname = strcat(prefix,'.gt.txt');
if ~exist(gt_fname, 'file')
    fid = fopen(gt_fname,'w');
    for j=1:length(M.gt)
        fprintf(fid,'%d\n', M.gt(j));
    end
    fclose(fid);
end

M = load_shape(prefix, params);

end
